org.apache.jmeter.testbeans

## Class TestBeanHelper

- java.lang.Object
- - org.apache.jmeter.testbeans.TestBeanHelper

-     public class TestBeanHelper
      extends java.lang.Object

  This is an experimental class. An attempt to address the complexity of writing new JMeter components.

  TestBean currently extends AbstractTestElement to support backward-compatibility, but the property-value-map may later on be separated from the test beans themselves. To ensure this will be doable with minimum damage, all inherited methods are deprecated.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestBeanHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isDescriptorIgnored(java.beans.PropertyDescriptor descriptor)` Checks whether the descriptor should be ignored, i.e.
    `static void` | `prepare(TestElement el)` Prepare the bean for work by populating the bean's properties from the property value map.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.slf4j.Logger log

  - ### Constructor Detail

    - #### TestBeanHelper

          public TestBeanHelper()

  - ### Method Detail

    - #### prepare

          public static void prepare(TestElement el)

      Prepare the bean for work by populating the bean's properties from the property value map.

      Parameters:
        `el` - the TestElement to be prepared

    - #### isDescriptorIgnored

          public static boolean isDescriptorIgnored(java.beans.PropertyDescriptor descriptor)

      Checks whether the descriptor should be ignored, i.e.
      - isHidden
      - isExpert and JMeter not using expert mode
      - no read method
      - no write method
      Parameters:
        `descriptor` - the `PropertyDescriptor` to be checked
      Returns:
        `true` if the descriptor should be ignored

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.